package client

import (
	"git.loafle.net/commons_go/rpc/client"
	crcrwf "git.loafle.net/commons_go/rpc/client/rwc/websocket/fasthttp"
	cwfc "git.loafle.net/commons_go/websocket_fasthttp/client"
)

func New(clientHandler ClientHandler, socketBuilder cwfc.SocketBuilder) client.Client {
	cRWCHandler := crcrwf.New(socketBuilder)

	c := client.New(clientHandler, cRWCHandler)

	return c
}
